package net.taehui.twilight.system

import com.google.protobuf.ByteString
import net.taehui.twilight.Logger
import java.util.concurrent.ConcurrentHashMap

object ValveSystem : Logger {
    private val drawingStore = ConcurrentHashMap<String, ByteString>()

    fun putDrawing(avatarID: String, valveDrawing: ByteString) {
        drawingStore[avatarID] = valveDrawing
    }

    fun getDrawing(avatarID: String): ByteArray? {
        return drawingStore[avatarID]?.toByteArray()
    }
}